package com.hongyegroup.cpt_pensonal

import android.annotation.SuppressLint
import android.content.Intent
import com.guadou.lib_baselib.base.activity.BaseVDBActivity
import com.guadou.lib_baselib.base.vm.EmptyViewModel
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.utils.CommUtils
import com.hongyegroup.cpt_pensonal.databinding.ActivityPensonalMainBinding

class PensonalMainActivity : BaseVDBActivity<EmptyViewModel, ActivityPensonalMainBinding>() {

    companion object {
        fun startInstance() {
            val context = CommUtils.getContext()
            val intent = Intent(context, PensonalMainActivity::class.java)
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
            context.startActivity(intent)
        }
    }

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.activity_pensonal_main)
    }

    override fun startObserve() {

    }

    @SuppressLint("SetTextI18n")
    override fun init() {

        mBinding.tvMainText.setText("Pensonal Main Page")
    }


}